#!/bin/bash

# echo "<h1>ha</h1>"
# echo "<pre>"
# env
# echo "</pre>"

filename="${1##*/}"

if [[ $filename = README.md ]]; then
    echo "<h1>Clone or download</h1>"
    repo_url="https://elmord.org/code/$CGIT_REPO_NAME"
    download_base="$repo_url/snapshot/${CGIT_REPO_NAME%.git}-master"
    echo "<ul>"
    echo "<li>Download the latest version as a <a href='$download_base.zip'>ZIP</a> or <a href='$download_base.tar.gz'>tarball</a>"
    echo "<li>Clone with: <tt>git clone $repo_url</tt>"
    echo "</ul>"
else
    filename="${filename//[^A-Za-z0-9._]/}"
    echo "<h1>$filename</h1>"
fi

/usr/lib/cgit/filters/about-formatting.sh "$@"
